"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../../node_modules/element-plus/es/index.js");
;/* empty css                                                                */
;/* empty css                                                                        */
const Vue = require("vue");
const DataSourceSelect = require("../../../../components/DataSourceSelect.vue.js");
const FieldMapping = require("../../../../components/FieldMapping.vue2.js");
;/* empty css                  */
const _pluginVue_exportHelper = require("../../../../../../_virtual/_plugin-vue_export-helper.js");
const index = require("../../../../../../node_modules/element-plus/es/components/form/index.js");
const _hoisted_1 = { class: "desc-content" };
const _sfc_main = {
  __name: "FormSetValue",
  props: {
    formData: Object
  },
  setup(__props) {
    return (_ctx, _cache) => {
      const _component_el_form_item = index.ElFormItem;
      return Vue.openBlock(), Vue.createElementBlock(Vue.Fragment, null, [
        Vue.createVNode(_component_el_form_item, { label: "选择数据源" }, {
          default: Vue.withCtx(() => [
            Vue.createVNode(DataSourceSelect.default, {
              modelValue: __props.formData.dataSourceId,
              "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => __props.formData.dataSourceId = $event)
            }, null, 8, ["modelValue"])
          ]),
          _: 1
        }),
        Vue.createVNode(_component_el_form_item, { label: "字段映射" }, {
          default: Vue.withCtx(() => [
            Vue.createElementVNode("div", _hoisted_1, [
              _cache[2] || (_cache[2] = Vue.createElementVNode("div", { class: "condition-desc" }, " 当返回的字段与表单字段不一致时，可通过此配置进行映射。 ", -1)),
              Vue.createVNode(FieldMapping.default, {
                modelValue: __props.formData.fieldMapping,
                "onUpdate:modelValue": _cache[1] || (_cache[1] = ($event) => __props.formData.fieldMapping = $event)
              }, null, 8, ["modelValue"])
            ])
          ]),
          _: 1
        })
      ], 64);
    };
  }
};
const FormSetValue = /* @__PURE__ */ _pluginVue_exportHelper.default(_sfc_main, [["__scopeId", "data-v-52671c1b"]]);
exports.default = FormSetValue;
